## golang-github-tinylib-msgp 1.1.6

=== Makefile ===

# NOTE: This Makefile is only necessary if you 
# plan on developing the msgp tool and library.
# Installation can still be performed with a
# normal `go install`.

# generated integration test files
GGEN = ./_generated/generated.go ./_generated/generated_test.go
# generated unit test files
MGEN = ./msgp/defgen_test.go

SHELL := /bin/bash

BIN = $(GOBIN)/msgp

.PHONY: clean wipe install get-deps bench all

$(BIN): */*.go
	@go install ./...

install: $(BIN)

$(GGEN): ./_generated/def.go
	go generate ./_generated

$(MGEN): ./msgp/defs_test.go
	go generate ./msgp

test: all
	go test ./... ./_generated

bench: all
	go test -bench ./...

clean:
	$(RM) $(GGEN) $(MGEN)

wipe: clean
	$(RM) $(BIN)

get-deps:
	go get -d -t ./...

all: install $(GGEN) $(MGEN)

# travis CI enters here
travis:
	go get -d -t ./...
	go build -o "$${GOPATH%%:*}/bin/msgp" .
	go generate ./msgp
	go generate ./_generated
	go test -v ./... ./_generated

## golang-github-tinylib-msgp 1.0~beta

=== debian/changelog ===
golang-github-tinylib-msgp (1.0~beta-1) unstable; urgency=medium

  * Update to 1.0-beta upstream release

 -- Tianon Gravi <tianon@debian.org>  Fri, 23 Oct 2015 16:12:45 -0700

golang-github-tinylib-msgp (1.0~alpha-2) unstable; urgency=medium

  * Add upstream patch to fix 32bit compilation

 -- Tianon Gravi <tianon@debian.org>  Fri, 23 Oct 2015 15:43:51 -0700

golang-github-tinylib-msgp (1.0~alpha-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Thu, 22 Oct 2015 11:13:24 -0700

=== debian/control ===
Source: golang-github-tinylib-msgp
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-github-philhofer-fwd-dev,
               golang-github-ttacon-chalk-dev,
               golang-go,
               golang-golang-x-tools-dev
Standards-Version: 3.9.6
Homepage: https://github.com/tinylib/msgp
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-tinylib-msgp.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-tinylib-msgp.git
XS-Go-Import-Path: github.com/tinylib/msgp

Package: msgp
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends}
Description: Go code generator for MessagePack
 This is a code generation tool and serialization library for MessagePack. It is
 targeted at the go generate tool. You can read more about MessagePack in the
 wiki, or at msgpack.org.
 .
 Why?
 .
   * Use Go as your schema language
   * Speeeeeed (400MB/s on modern hardware)
   * JSON interop
   * User-defined extensions
   * Type safety
   * Encoding flexibility
 .
 This package contains the tools/binaries.

Package: golang-github-tinylib-msgp-dev
Architecture: all
Depends: golang-github-philhofer-fwd-dev,
         golang-github-ttacon-chalk-dev,
         golang-golang-x-tools-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Go code generator for MessagePack (source)
 This is a code generation tool and serialization library for MessagePack. It is
 targeted at the go generate tool. You can read more about MessagePack in the
 wiki, or at msgpack.org.
 .
 Why?
 .
   * Use Go as your schema language
   * Speeeeeed (400MB/s on modern hardware)
   * JSON interop
   * User-defined extensions
   * Type safety
   * Encoding flexibility
 .
 This package contains the source.

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

override_dh_auto_build:
	# build the "msgp" binary
	dh_auto_build
	# use new binary to refresh generated code
	DH_GOLANG_GO_GENERATE=1 PATH="$(GOPATH)/bin:$$PATH" \
		dh_auto_build -- github.com/tinylib/msgp/_generated

override_dh_auto_test:
	dh_auto_test -- github.com/tinylib/msgp/_generated

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-tinylib-msgp 1.0.2

=== debian/changelog ===
golang-github-tinylib-msgp (1.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
    Fixes: lintian: package-uses-old-debhelper-compat-version
    See-also: https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html
  * Set debhelper-compat version in Build-Depends.
    Fixes: lintian: uses-debhelper-compat-file
    See-also: https://lintian.debian.org/tags/uses-debhelper-compat-file.html
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html

  [ Dmitry Smirnov ]
  * Build-Depends += "golang-golang-x-mod-dev" (Closes: #954683)
  * Rules-Requires-Root: no
  * golang-ago --> golang-any
  * Testsuite: autopkgtest-pkg-go

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 11 Apr 2020 16:26:55 +1000

golang-github-tinylib-msgp (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:58:38 +0100

golang-github-tinylib-msgp (1.0.2-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tim Potter ]
  * Add me to uploaders

  [ Jordi Mallach ]
  * New upstream release (closes: #876820).
  * Change package priorities to optional.
  * Move to debhelper compat v11.
  * Use https on URLs in copyright file.
  * Update Standards-Version to 4.1.3.

  [ Shengjing Zhu ]
  * d/rules: copy _generated/search.sh to build.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 Jan 2018 11:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: golang-github-tinylib-msgp
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
+               golang-any,
                golang-github-philhofer-fwd-dev,
                golang-github-ttacon-chalk-dev,
-               golang-go,
-               golang-golang-x-tools-dev
-Standards-Version: 3.9.6
+               golang-golang-x-mod-dev,
+               golang-golang-x-tools-dev,
+Standards-Version: 4.1.3
 Homepage: https://github.com/tinylib/msgp
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-tinylib-msgp.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-tinylib-msgp.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git
 XS-Go-Import-Path: github.com/tinylib/msgp
+Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: msgp
 Architecture: any
 Depends: ${misc:Depends},${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Go code generator for MessagePack
  This is a code generation tool and serialization library for MessagePack. It is
  targeted at the go generate tool. You can read more about MessagePack in the
@@ -38,6 +42,7 @@
 Architecture: all
 Depends: golang-github-philhofer-fwd-dev,
          golang-github-ttacon-chalk-dev,
+         golang-golang-x-mod-dev,
          golang-golang-x-tools-dev,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 override_dh_auto_build:
 	# build the "msgp" binary
 	dh_auto_build
+	# DH_GOLANG_INSTALL_EXTRA doesn't preserve file executable mode, so
+	# manually copy it here.
+	cp _generated/search.sh $(GOPATH)/src/github.com/tinylib/msgp/_generated/
 	# use new binary to refresh generated code
 	DH_GOLANG_GO_GENERATE=1 PATH="$(GOPATH)/bin:$$PATH" \
 		dh_auto_build -- github.com/tinylib/msgp/_generated

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/msgp-$1\.tar\.gz/ \
  https://github.com/tinylib/msgp/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-tinylib-msgp 1.1.6

=== debian/changelog ===
golang-github-tinylib-msgp (1.1.6-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuid due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 09:35:38 +0530

golang-github-tinylib-msgp (1.1.6-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:50 +1200

golang-github-tinylib-msgp (1.1.6-1) unstable; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream release
    - Add patch to skip ancient failing test
  * d/control:
    - Update Section to golang
    - Update Maintainer email address to current team address
    - Update Build-Depends and Depends
    - Bump Standards-Version (no changes needed)
  * Update d/watch version

  [ Tianon Gravi ]
  * Remove self from Uploaders

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 20 Nov 2022 15:24:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: golang-github-tinylib-msgp
-Section: devel
+Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Tim Potter <tpot@hpe.com>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-philhofer-fwd-dev,
-               golang-github-ttacon-chalk-dev,
-               golang-golang-x-mod-dev,
-               golang-golang-x-tools-dev,
-Standards-Version: 4.1.3
+               golang-golang-x-tools-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/tinylib/msgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git
@@ -41,11 +40,8 @@
 Package: golang-github-tinylib-msgp-dev
 Architecture: all
 Depends: golang-github-philhofer-fwd-dev,
-         golang-github-ttacon-chalk-dev,
-         golang-golang-x-mod-dev,
          golang-golang-x-tools-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Go code generator for MessagePack (source)
  This is a code generation tool and serialization library for MessagePack. It is
  targeted at the go generate tool. You can read more about MessagePack in the

## golang-github-tinylib-msgp 1.1.9

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 BIN = $(GOBIN)/msgp
 
-.PHONY: clean wipe install get-deps bench all
+.PHONY: clean wipe install get-deps bench all ci prepare
 
 $(BIN): */*.go
 	@go install ./...
@@ -43,10 +43,20 @@
 
 all: install $(GGEN) $(MGEN)
 
-# travis CI enters here
-travis:
-	go get -d -t ./...
-	go build -o "$${GOPATH%%:*}/bin/msgp" .
+# Prepare generated code to be used for linting and testing in CI
+prepare:
+	go install .
 	go generate ./msgp
 	go generate ./_generated
+
+# CI enters here
+ci: prepare
+	arch
+	if [ `arch` == 'x86_64' ]; then \
+		sudo apt-get -y -q update; \
+		sudo apt-get -y -q install build-essential; \
+		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.30.0/tinygo_0.30.0_amd64.deb; \
+		sudo dpkg -i tinygo_0.30.0_amd64.deb; \
+		export PATH=$$PATH:/usr/local/tinygo/bin; \
+	fi
 	go test -v ./... ./_generated

=== debian/changelog ===
golang-github-tinylib-msgp (1.1.9-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints

  [ Mathias Gibbens ]
  * New upstream release
  * Update Standards-Version to 4.6.2 in d/control (no changes needed)
  * Exclude tinygotest in d/rules, as tinygo isn't in Debian

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Nov 2023 17:54:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: golang-github-tinylib-msgp
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-philhofer-fwd-dev,
                golang-golang-x-tools-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/tinylib/msgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git
@@ -42,6 +41,7 @@
 Depends: golang-github-philhofer-fwd-dev,
          golang-golang-x-tools-dev,
          ${misc:Depends}
+Multi-Arch: foreign
 Description: Go code generator for MessagePack (source)
  This is a code generation tool and serialization library for MessagePack. It is
  targeted at the go generate tool. You can read more about MessagePack in the

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DH_GOLANG_EXCLUDES := tinygotest
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 
 override_dh_auto_build:

## golang-github-tinylib-msgp 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# NOTE: This Makefile is only necessary if you 
+# NOTE: This Makefile is only necessary if you
 # plan on developing the msgp tool and library.
 # Installation can still be performed with a
 # normal `go install`.
@@ -55,8 +55,8 @@
 	if [ `arch` == 'x86_64' ]; then \
 		sudo apt-get -y -q update; \
 		sudo apt-get -y -q install build-essential; \
-		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.30.0/tinygo_0.30.0_amd64.deb; \
-		sudo dpkg -i tinygo_0.30.0_amd64.deb; \
+		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.32.0/tinygo_0.32.0_amd64.deb; \
+		sudo dpkg -i tinygo_0.32.0_amd64.deb; \
 		export PATH=$$PATH:/usr/local/tinygo/bin; \
 	fi
 	go test -v ./... ./_generated

=== debian/changelog ===
golang-github-tinylib-msgp (1.2.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Team upload
  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 08 Jul 2024 10:57:38 +0000

golang-github-tinylib-msgp (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 04 Jul 2024 13:30:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                golang-any,
                golang-github-philhofer-fwd-dev,
                golang-golang-x-tools-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/tinylib/msgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
 filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/msgp-$1\.tar\.gz/ \

## golang-github-tinylib-msgp 1.2.5

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,8 @@
 	if [ `arch` == 'x86_64' ]; then \
 		sudo apt-get -y -q update; \
 		sudo apt-get -y -q install build-essential; \
-		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.32.0/tinygo_0.32.0_amd64.deb; \
-		sudo dpkg -i tinygo_0.32.0_amd64.deb; \
+		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.33.0/tinygo_0.33.0_amd64.deb; \
+		sudo dpkg -i tinygo_0.33.0_amd64.deb; \
 		export PATH=$$PATH:/usr/local/tinygo/bin; \
 	fi
 	go test -v ./... ./_generated

=== debian/changelog ===
golang-github-tinylib-msgp (1.2.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update minimum required version of golang-github-philhofer-fwd-dev

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Dec 2024 21:26:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-philhofer-fwd-dev,
+               golang-github-philhofer-fwd-dev (>= 1.1.2+git20240916.20a13a1),
                golang-golang-x-tools-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/tinylib/msgp
@@ -38,7 +38,7 @@
 
 Package: golang-github-tinylib-msgp-dev
 Architecture: all
-Depends: golang-github-philhofer-fwd-dev,
+Depends: golang-github-philhofer-fwd-dev (>= 1.1.2+git20240916.20a13a1),
          golang-golang-x-tools-dev,
          ${misc:Depends}
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 override_dh_auto_build:
 	# build the "msgp" binary
 	dh_auto_build
-	# DH_GOLANG_INSTALL_EXTRA doesn't preserve file executable mode, so
-	# manually copy it here.
-	cp _generated/search.sh $(GOPATH)/src/github.com/tinylib/msgp/_generated/
 	# use new binary to refresh generated code
 	DH_GOLANG_GO_GENERATE=1 PATH="$(GOPATH)/bin:$$PATH" \
 		dh_auto_build -- github.com/tinylib/msgp/_generated

## golang-github-tinylib-msgp 1.4.0

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,8 @@
 	if [ `arch` == 'x86_64' ]; then \
 		sudo apt-get -y -q update; \
 		sudo apt-get -y -q install build-essential; \
-		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.33.0/tinygo_0.33.0_amd64.deb; \
-		sudo dpkg -i tinygo_0.33.0_amd64.deb; \
+		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.38.0/tinygo_0.38.0_amd64.deb; \
+		sudo dpkg -i tinygo_0.38.0_amd64.deb; \
 		export PATH=$$PATH:/usr/local/tinygo/bin; \
 	fi
 	go test -v ./... ./_generated

=== debian/changelog ===
golang-github-tinylib-msgp (1.4.0-2) unstable; urgency=medium

  * Team upload
  * Build msgp on 64bit archs only, Closes: #1116948

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Oct 2025 20:42:30 -0400

golang-github-tinylib-msgp (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Add myself as an Uploader
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Add Static-Built-Using
    - Remove unneeded ${shlibs:Depends}
  * Add myself to d/copyright
  * Fixup code generation in d/rules and remove unneeded patch

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 08 Sep 2025 02:32:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Tim Potter <tpot@hpe.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-philhofer-fwd-dev (>= 1.1.2+git20240916.20a13a1),
                golang-golang-x-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tinylib/msgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git
@@ -17,9 +17,10 @@
 Rules-Requires-Root: no
 
 Package: msgp
-Architecture: any
-Depends: ${misc:Depends},${shlibs:Depends}
+Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x loong64
+Depends: ${misc:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Go code generator for MessagePack
  This is a code generation tool and serialization library for MessagePack. It is
  targeted at the go generate tool. You can read more about MessagePack in the

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := tinygotest
export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

override_dh_auto_build:
	# build the "msgp" binary
	dh_auto_build
	# use new binary to refresh generated code
	DH_GOLANG_GO_GENERATE=1 DH_GOLANG_BUILDPKG="github.com/tinylib/msgp/_generated github.com/tinylib/msgp/gen github.com/tinylib/msgp/msgp github.com/tinylib/msgp/msgp/setof github.com/tinylib/msgp/parse github.com/tinylib/msgp/printer" PATH="$(GOPATH)/bin:$$PATH" \
		dh_auto_build

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-tinylib-msgp 1.5.0

=== debian/changelog ===
golang-github-tinylib-msgp (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Build-Depend on architecture-is-64-bit rather than listing all 64bit
      architectures
    - Drop redundant Rules-Requires-Root
  * Generate a manpage for msgp

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 09 Nov 2025 20:12:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-golang,
                golang-any,
                golang-github-philhofer-fwd-dev (>= 1.1.2+git20240916.20a13a1),
-               golang-golang-x-tools-dev
+               golang-golang-x-tools-dev,
+               help2man
 Standards-Version: 4.7.2
 Homepage: https://github.com/tinylib/msgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git
 XS-Go-Import-Path: github.com/tinylib/msgp
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: msgp
-Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x loong64
+Architecture: any
 Depends: ${misc:Depends}
 Built-Using: ${misc:Built-Using}
 Static-Built-Using: ${misc:Static-Built-Using}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_GOLANG_EXCLUDES := tinygotest
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
@@ -10,5 +12,9 @@
 	DH_GOLANG_GO_GENERATE=1 DH_GOLANG_BUILDPKG="github.com/tinylib/msgp/_generated github.com/tinylib/msgp/gen github.com/tinylib/msgp/msgp github.com/tinylib/msgp/msgp/setof github.com/tinylib/msgp/parse github.com/tinylib/msgp/printer" PATH="$(GOPATH)/bin:$$PATH" \
 		dh_auto_build
 
+	# generate a man page
+	mkdir man1/
+	TZ=UTC help2man $(GOPATH)/bin/msgp -n "Go code generator for MessagePack" --no-info --no-discard-stderr --version-string=$(DEB_VERSION_UPSTREAM) > man1/msgp.1
+
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-github-tinylib-msgp 1.6.1

=== debian/changelog ===
golang-github-tinylib-msgp (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 21 Dec 2025 00:10:08 +0000

## golang-github-tinylib-msgp 1.6.3

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,8 @@
 	if [ `arch` == 'x86_64' ]; then \
 		sudo apt-get -y -q update; \
 		sudo apt-get -y -q install build-essential; \
-		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.38.0/tinygo_0.38.0_amd64.deb; \
-		sudo dpkg -i tinygo_0.38.0_amd64.deb; \
+		wget -q https://github.com/tinygo-org/tinygo/releases/download/v0.39.0/tinygo_0.39.0_amd64.deb; \
+		sudo dpkg -i tinygo_0.39.0_amd64.deb; \
 		export PATH=$$PATH:/usr/local/tinygo/bin; \
 	fi
 	go test -v ./... ./_generated

=== debian/changelog ===
golang-github-tinylib-msgp (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3 in d/control, drop Priority field
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Feb 2026 17:38:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-tinylib-msgp
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -10,7 +9,7 @@
                golang-github-philhofer-fwd-dev (>= 1.1.2+git20240916.20a13a1),
                golang-golang-x-tools-dev,
                help2man
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tinylib/msgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tinylib-msgp.git
